﻿/* variables */
:root {
    --DarkBlue: #0a2136; /*rgb(10,33,54)*/
    --Gold: #f6b533; /*rgb(246,181,51)*/
    --LightGrey: #f2f2f2;
    --MediumBlue: #159cd7; /*rgb(21,156,215)*/
}

/* element types */
a {
    color: var(--DarkBlue);
}

    a:hover {
        text-decoration: none;
        color: var(--MediumBlue);
    }

body {
    color: var(--DarkBlue);
    font-family: Calibri;
    font-size: 12pt;
    margin: 0px;
    padding-left: 5px;
    padding-right: 5px;
    min-width: 550px;
}

input[type=text], input[type=date], input[type=time], input[type=number], select {
    height: 25px;
}

/* master page specific */
#FolderTab {
    position: absolute;
    color: white;
    font-size: larger;
    left: 20px;
    width: 250px;
    top: 33px;
    height: 57px;
    text-align: center;
    overflow: hidden;
}

    #FolderTab span {
        display: block;
        height: 29px;
        overflow: hidden;
    }

#MasterMenu {
    display: none;
    position: absolute;
    right: 5px;
    top: 110px;
    min-width: 200px;
    color: #f4b532;
    background-color: var(--DarkBlue);
    padding-top: 1px;
    z-index: 9999;
    border: 1px solid var(--DarkBlue);
}

    #MasterMenu > div {
        padding: 5px 25px 5px 25px;
        cursor: pointer;
        text-align: left;
    }

        #MasterMenu > div:hover {
            color: white;
            background-color: var(--MediumBlue);
        }

#SiteFooter {
    width: 100%;
    font-size: 10pt;
    color: darkgrey;
    padding: 0px 10px 0px 10px;
}

    #SiteFooter > .Column {
        float: left;
    }

    #SiteFooter > .Left {
        width: 25%;
    }

    #SiteFooter > .Middle {
        width: 50%;
        text-align: center;
    }

    #SiteFooter > .Right {
        width: 25%;
        text-align: right;
    }

#SolvaireLogo {
    margin: 8px 12px 0px 0px;
    height: 40px;
    cursor: pointer;
}

/* universal */

.AltRowBGColor > div:nth-child(odd) {
    background-color: white;
}

.Box {
    border: 1px solid silver;
}

    .Box > div:first-of-type { /* header */
        color: white;
        background-color: var(--MediumBlue);
        font-weight: bold;
        display: flex;
    }

        .Box > div:first-of-type > div:first-of-type { /* title */
            padding: 5px 10px 5px 10px;
        }

    .Box > div:nth-of-type(2) { /* body */
        overflow: auto;
    }

    .Box > div:nth-of-type(3) { /* footer */
        padding: 3px 10px 3px 10px;
        display: flex;
        background-color: #ddd;
    }

    .Box .HeaderRight {
        margin: 5px 10px 0px auto;
        font-weight: normal;
    }

        .Box .HeaderRight a {
            color: white;
            text-decoration: none;
        }

    .Box .HeaderRight.Help {
        /*color: var(--DarkBlue);*/
    }

.BoxHeader {
    color: white;
    background-color: var(--MediumBlue);
    font-weight: bold;
    padding: 8px;
    border: 1px solid silver;
}

    .BoxHeader a {
        color: white;
    }

        .BoxHeader a:hover {
            text-decoration: none;
        }

.BtnIndependent {
    background-color: #f2f2f3;
    color: var(--DarkBlue);
    border-radius: 3px;
    border: 1px solid var(--DarkBlue);
}

    .BtnIndependent:hover {
        background-color: #e4e4e7;
    }

    .BtnIndependent:disabled {
        color: silver;
        background-color: #f2f2f3;
    }

.BtnPrimary {
    background-color: var(--MediumBlue);
    color: white;
    font-weight: normal;
    border-radius: 3px;
    border: 1px solid var(--MediumBlue);
}

    .BtnPrimary:hover {
        background-color: #2aa5d4;
        border-color: #2aa5d4;
    }

    .BtnPrimary:disabled {
        color: grey;
        background-color: gainsboro;
    }

.BtnSecondary {
    background-color: #f2f2f3;
    color: var(--MediumBlue);
    border-radius: 3px;
    border: 1px solid var(--MediumBlue);
}

    .BtnSecondary:hover {
        background-color: #e4e4e7;
    }

.OptionsLink {
    font-size: 24px;
    cursor: pointer;
    margin-right: 10px;
}

.PageActionMenu {
    margin-right: 0px;
}

    .PageActionMenu a {
        cursor: pointer;
    }

.PageMainMenu a {
    background-color: #f2f2f2;
}

.PageMainMenu .aspNetDisabled {
    color: white;
    background-color: var(--MediumBlue);
}

.PageMainMenu .SubOption {
    margin-left: 25px;
}

    .PageMainMenu .SubOption a:hover {
        background-color: white;
        text-decoration: underline;
    }

.PageMenu {
    border: 1px solid silver;
    border-bottom: none;
}

    .PageMenu a {
        display: block;
        padding: 2px 15px 2px 15px;
        color: var(--DarkBlue);
        text-decoration: none;
        border-bottom: 1px solid silver;
    }

        .PageMenu a:hover {
            background-color: silver;
        }

.Popup {
    display: none;
    position: absolute;
    z-index: 100;
}

    .Popup > div:first-child {  /*header*/
        color: #f4b532;
        background-color: var(--DarkBlue);
        font-weight: bold;
        display: flex;
    }

        .Popup > div:first-child > div:first-child {
            width: 100%;
            cursor: move;
        }

        .Popup > div:first-child > div:not(:last-child) {
            padding: 5px 10px 5px 10px;
        }

        .Popup > div:first-child > div:last-child {
            margin-left: auto;
            padding: 5px 13px 5px 13px;
        }

            .Popup > div:first-child > div:last-child:hover {
                color: white;
                background-color: red;
                cursor: pointer;
            }

    .Popup > div:nth-child(2) {   /*body*/
        background-color: #F0F0F0;
        padding: 15px;
        border: 1px solid var(--DarkBlue);
        border-top: none;
    }

.PseudoLink {
    cursor: pointer;
}

    .PseudoLink:hover {
        text-decoration: none;
        cursor: pointer;
        color: var(--MediumBlue);
    }

.TCell {
    display: table-cell;
}

.TRow {
    display: table-row;
}
